return {
    "ThePrimeagen/refactoring.nvim",
    dependencies = {
        "nvim-lua/plenary.nvim",
        "nvim-treesitter/nvim-treesitter",
    },
    lazy = false,
    config = function()
        require("refactoring").setup()
    end,
    keys = {
        {
            "<leader>xe",
            "<cmd>Refactor extract <cr>",
            desc = "Refactor Extract"
        },
        {
            "<leader>xv",
            "<cmd>Refactor extract_var <cr>",
            desc = "Refactor Extract Variable"
        },
    }
}
